


function clientWantToCheckHisState()
	local account = getPlayerAccount(source)
	if isGuestAccount(account) then
		--local colorCode = get("*race.color") or "#00aaff"
		triggerClientEvent(source,"onServerWantIniteteLoginPanel",getRootElement(),colorCode)
	end
end
addEvent("onClientWantCheckHisState",true)
addEventHandler("onClientWantCheckHisState",getRootElement(),clientWantToCheckHisState)

function tryToLogInAsClient(theLogin,thePassword)
	if theLogin and thePassword then
		local account = getAccount(theLogin,thePassword)
		if account then
			logIn(source,account,thePassword)
			displayServerMessage(source,"Вы успешно вошли в систему!")
			triggerClientEvent(source,"onClientSuccessfullyLogIn",getRootElement())
		else
			displayServerMessage(source,"Неправильный логин или пароль!","warning")
		end
	end
end
addEvent("onClientWantToLogIn",true)
addEventHandler("onClientWantToLogIn",getRootElement(),tryToLogInAsClient)


function tryToRegister(theLogin,thePassword)
	if theLogin and thePassword then
		if not getAccount(theLogin) then
			local newAccount = addAccount(theLogin,thePassword)
			if newAccount then
				displayServerMessage(source,"Вы успешно зарегистрированы!")
				triggerClientEvent(source,"onClientSuccessfullyRegisterNewAccount",getRootElement())
			else
				displayServerMessage(source,"Ошибка: проверьте правильность ввода!","warning")
			end
		else
			displayServerMessage(source,"Это имя учетной записи уже используется!","warning")
		end
	end
end
addEvent("onClientWantToRegister",true)
addEventHandler("onClientWantToRegister",getRootElement(),tryToRegister)


function displayServerMessage(thePlayer,message,type)
	triggerClientEvent(thePlayer,"onServerWantToShowMessage",getRootElement(),message,type)
end